org.apache.cassandra.cql3.functions

## Class Functions

- java.lang.Object
- - org.apache.cassandra.cql3.functions.Functions

    public abstract class Functions
    extends java.lang.Object

### Method Summary

Methods
`static Function` `get(java.lang.String keyspace, java.lang.String name, java.util.List<? extends AssignementTestable> providedArgs, ColumnSpecification receiver)`
`static AbstractType<?>` `getReturnType(java.lang.String functionName, java.lang.String ksName, java.lang.String cfName)`
`static ColumnSpecification` `makeArgSpec(ColumnSpecification receiver, Function fun, int i)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getReturnType

    public static AbstractType<?> getReturnType(java.lang.String functionName,
                                java.lang.String ksName,
                                java.lang.String cfName)

#### makeArgSpec

    public static ColumnSpecification makeArgSpec(ColumnSpecification receiver,
                                  Function fun,
                                  int i)

#### get

    public static Function get(java.lang.String keyspace,
               java.lang.String name,
               java.util.List<? extends AssignementTestable> providedArgs,
               ColumnSpecification receiver)
                        throws InvalidRequestException

Throws:
  `InvalidRequestException`